import React, { Component } from "react";
import { Button, Modal } from "antd";
import ExcelEditor from "../../components/excelEditor";

class Index extends Component {
  constructor(props) {
    super(props);
    this.state = {
      title: "DialogTitle",
      visible: false,
      lvisible: false
    };
  }

  render() {
    return (
      <div>
        <ExcelEditor onChange={()=>{}}/>
        <Button type="primary" onClick={() => this.setState({ visible: true })}>显示对话框</Button>
        <Modal title="第一个 Modal" visible={this.state.visible}
               onCancel={() => this.setState({ visible: false })}
        >
          <ExcelEditor onChange={()=>{}}/>
        </Modal>
      </div>
    );
  }
}

export default Index;
